Python
import os
from scale_gp import SGPClient
client = SGPClient(
api_key=os.environ.get("SGP_API_KEY"), # This is the default and can be omitted
)
page = client.models.deployments.list_all()
page = page.items[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/sgp-go"
"github.com/stainless-sdks/sgp-go/option"
)
func main() {
client := sgp.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.Models.Deployments.ListAll(context.TODO(), sgp.ModelDeploymentListAllParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
curl --request GET \
--url https://api.egp.scale.com/v4/model-deploymentsconst options = {method: 'GET'};
fetch('https://api.egp.scale.com/v4/model-deployments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"name": "<string>",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"account_id": "<string>",
"created_by_user_id": "<string>",
"created_by_identity_type": "user",
"status": "<string>",
"model_creation_parameters": {},
"model_endpoint_id": "<string>",
"model_instance_id": "<string>",
"vendor_configuration": {
"min_workers": 0,
"max_workers": 1,
"per_worker": 10,
"vendor": "LAUNCH"
},
"deployment_metadata": {}
}
],
"total_item_count": 123,
"current_page": 123,
"items_per_page": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Models
List All Model Deployments
TODO: Document
GET
/
v4
/
model-deployments
Python
import os
from scale_gp import SGPClient
client = SGPClient(
api_key=os.environ.get("SGP_API_KEY"), # This is the default and can be omitted
)
page = client.models.deployments.list_all()
page = page.items[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/sgp-go"
"github.com/stainless-sdks/sgp-go/option"
)
func main() {
client := sgp.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.Models.Deployments.ListAll(context.TODO(), sgp.ModelDeploymentListAllParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
Query Parameters
Available options:
model_creation_parameters:asc, model_creation_parameters:desc, model_endpoint_id:asc, model_endpoint_id:desc, model_instance_id:asc, model_instance_id:desc, vendor_configuration:asc, vendor_configuration:desc, deployment_metadata:asc, deployment_metadata:desc, status:asc, status:desc, id:asc, id:desc, created_at:asc, created_at:desc, account_id:asc, account_id:desc, created_by_user_id:asc, created_by_user_id:desc, created_by_identity_type:asc, created_by_identity_type:desc, name:asc, name:desc Page number for pagination to be returned by the given endpoint. Starts at page 1
Required range:
x >= 1Maximum number of artifacts to be returned by the given endpoint. Defaults to 100 and cannot be greater than 10k.
Required range:
1 <= x <= 10000Response
Successful Response

